QwtLegendItemManager(3)

NAME
QwtLegendItemManager -

SYNOPSIS

#include <qwt_legend_itemmanager.h>

Inherited by QwtPlotItem.

  Public Member Functions
QwtLegendItemManager ()
virtual ~QwtLegendItemManager ()
virtual QWidget * legendItem () const =0
virtual void updateLegend (QwtLegend *legend) const =0

Detailed Description

Abstract API to bind plot items to the legend.

Member Function Documentation

  virtual QWidget* QwtLegendItemManager::legendItem () const [pure virtual]
Allocate the widget that represents the item on the legend

Returns:
    Allocated widget

See also:
    updateLegend() QwtLegend()

Implemented in QwtPlotItem.

  virtual void QwtLegendItemManager::updateLegend (QwtLegend *legend) const [pure virtual]
Update the widget that represents the item on the legend

Parameters:
    legend Legend

See also:
    legendItem()

Implemented in QwtPlotCurve, and QwtPlotItem.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.